## ros-indigo-fetch-gazebo 0.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(fetch_gazebo)

find_package(gazebo REQUIRED)

find_package(catkin
  REQUIRED
    angles
    control_toolbox
    gazebo_ros
    robot_controllers
    robot_controllers_interface
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

link_directories(
  ${GAZEBO_LIBRARY_DIRS}
)

catkin_package(
  CATKIN_DEPENDS
    control_toolbox
    gazebo_ros
    robot_controllers
    robot_controllers_interface
  DEPENDS
    gazebo
  LIBRARIES
    fetch_gazebo_plugin
  INCLUDE_DIRS
    include
)

add_library(fetch_gazebo_plugin src/plugin.cpp)
target_link_libraries(fetch_gazebo_plugin
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES}
)

install(
  TARGETS fetch_gazebo_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(
  PROGRAMS
    scripts/prepare_simulated_robot.py
    scripts/prepare_simulated_robot_pick_place.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY config include launch robots worlds models
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-fetch-gazebo (0.7.3-0trusty) trusty; urgency=high



 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Thu, 28 Mar 2019 07:00:00 -0000

ros-indigo-fetch-gazebo (0.7.2-0trusty) trusty; urgency=high

  * This release fast-forwarded the gazebo2 branch, and reverted breaking changes from:
    gazebo5, gazebo7 and gazebo9
  * [package.xml] adds: license(BSD), author, maintainers (#45) (#55)
    * [package.xml] update maintainers
    * [fetchit_challenge] adds license(BSD), author, maintainers
    * [fetchit_challenge] add <url> tags to package.xml
  * [CMake/Catkin] fetch_gazebo install headers (#44)
    catkin_make_isolated --install would fail because we were not installing the header files
    This cherry-picks PR #43
    This fixes #42
  * reverts and reverted changes:
    * Revert "update rosdeps for gazebo5"This reverts commit 6ee207e53cc1e8fe3904720c0bfd7cb032997ca5.
    
      * Revert "update changelogs" <0.8.0>
        This reverts commit ab8607adc9b0120c09869fb5c84d320c9c020d3e.
      * Revert "0.8.0"
        This reverts commit 3aa624857adf4142c0ca3708b028a3b05d8737ad.
      * Revert "updates for gazebo7"
        This reverts commit 545769af5fd77aef83e0c182f74e577c983a4ea7.
      * Revert [gazebo9] Merge pull request #24
        "Merge pull request #24 from mikeferguson/gazebo9"
        This reverts commit eecb032ded6f675ded81e477087218a2079944fa, reversing
        changes made to 545769af5fd77aef83e0c182f74e577c983a4ea7.
      * Revert "Merge pull request #25 ... rosdep"
        Merge pull request #25 from stfuchs/fix/melodic-rosdep
        This reverts commit fce68bf44ce2d214edd11f705e61590efbafa1fe, reversing
        changes made to eecb032ded6f675ded81e477087218a2079944fa.
      * Revert PR #29 "[CMake][package] ... REP-140"
        [CMake][package] Clean CMake warnings and REP-140 (#29)"
        This reverts commit 36bf32339acb8763360e63b76b45927c1032ae61.
      * [CMake][package] Clean CMake warnings and REP-140 (#29)
        This cleans up some, but misses one warning- might be coming from gazebo
        itself.
        Also moved to package.xml format 2
      * Merge pull request #25 from stfuchs/fix/melodic-rosdep
        change rosdep from gazebo7 to gazebo9
      * change rosdep from gazebo7 to gazebo9
      * Merge pull request #24 from mikeferguson/gazebo9
        fixes for gazebo9 (melodic)
      * fixes for gazebo9 (melodic)
      * updates for gazebo7
    
  * add arg z/yaw for spawning robot
  * Contributors: Alexander Moriarty, Michael Ferguson, Russell Toris, Steffen Fuchs, Yuki Furuta

 -- Alex Moriarty <amoriarty@fetchrobotics.com>  Tue, 26 Mar 2019 07:00:00 -0000

ros-indigo-fetch-gazebo (0.7.1-0trusty) trusty; urgency=high

  * robot launch files publish base_scan_raw
  * working version of the merged demos
  * Contributors: Di Sun, Andrew Vaziri

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 27 Feb 2016 08:00:00 -0000

ros-indigo-fetch-gazebo (0.7.0-0trusty) trusty; urgency=high

  * add run depend on gazebo_plugins
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 04 Nov 2015 08:00:00 -0000

ros-indigo-fetch-gazebo (0.6.2-0trusty) trusty; urgency=high

  * Fixed number of samples for the laser scanner
    Real laser scan has 662 samples
  * Update test_zone.sdf, had two </world> tag
  * Contributors: Alex Henning, Kei Okada

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 13 Sep 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.6.1-0trusty) trusty; urgency=high

  * add headless argument to launch files
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.6.0-0trusty) trusty; urgency=high

  * add check to prevent running prepare script on a real robot
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 24 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.5.1-0trusty) trusty; urgency=high

  * forget install models
  * Contributors: Kei Okada

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.5.0-0trusty) trusty; urgency=high

  * apply filter to velocity
  * implement servo loop
    * position wraps velocity controller
    * velocity limits are now loaded for continuous joints
    * retuned all but base motors
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.4.4-0trusty) trusty; urgency=high

  * use centering controller for gripper
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 12 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.4.3-0trusty) trusty; urgency=high

  * base_link collision mesh is updated, fix laser min range
  * Change retrieval of effort limits/continuous state from parameters to URDF
  * Contributors: Michael Ferguson, Michael Hwang

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 10 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.4.2-0trusty) trusty; urgency=high

  * fix install
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 06 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.4.1-0trusty) trusty; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.4.0-0trusty) trusty; urgency=high

  * split demos into separate package
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.3.2-0trusty) trusty; urgency=high

  * add depend on angles
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000

ros-indigo-fetch-gazebo (0.3.1-0trusty) trusty; urgency=high

  * add simulation model for freight
  * add navigation configuration for simulated env


=== debian/control ===
Source: ros-indigo-fetch-gazebo
Section: misc
Priority: extra
Maintainer: Alex Moriarty <amoriarty@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-angles, ros-indigo-catkin, ros-indigo-control-toolbox, ros-indigo-gazebo-ros, ros-indigo-robot-controllers, ros-indigo-robot-controllers-interface
Homepage: http://ros.org/wiki/fetch_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-fetch-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-toolbox, ros-indigo-depth-image-proc, ros-indigo-fetch-description, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-geometry-msgs, ros-indigo-image-proc, ros-indigo-nodelet, ros-indigo-rgbd-launch, ros-indigo-robot-controllers, ros-indigo-robot-controllers-interface, ros-indigo-trajectory-msgs, ros-indigo-xacro
Description: Gazebo package for Fetch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-fetch-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
